Skip to main content
GET
/
v1
/
models
Retrieve all analysis models
curl --request GET \
  --url https://api.example.com/v1/models \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/models"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 1,
    "client_id": "client_abc123",
    "name": "Customer Service Evaluation v2",
    "description": "Comprehensive evaluation model for customer service calls",
    "prompt": "<string>",
    "summarize_call": true,
    "neurascore_template": false,
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "template_metadata": [],
    "transcription_prompt": "Customer service call for telecom company.",
    "summarize_prompt": "Summarize the key points of this call.",
    "updated_at": "2023-11-07T05:31:56Z",
    "updated_by": "<string>"
  }
]
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

order_by_name
boolean
default:false

Sort results alphabetically by model name

Response

Successful Response

id
integer
required

Unique identifier for this model

Example:

1

client_id
string
required

Owner client identifier

Example:

"client_abc123"

name
string
required

Model name

Example:

"Customer Service Evaluation v2"

description
string
required

Detailed description of the model

Example:

"Comprehensive evaluation model for customer service calls"

prompt
string
required

Analysis configuration and evaluation criteria

summarize_call
boolean
required

Whether automatic summary generation is enabled

Example:

true

neurascore_template
boolean
required

Whether this model uses the NeuraScore scoring system

Example:

false

enabled
boolean
required

Whether this model is active and available for use

Example:

true

created_at
string<date-time>
required

Timestamp when model was created (UTC)

created_by
string
required

Creator identifier

template_metadata
ClientTemplateMetadata · object[]

Configured metadata fields for additional data extraction

transcription_prompt
string
default:""

Custom prompt for audio transcription

Example:

"Customer service call for telecom company."

summarize_prompt
string
default:""

Custom prompt for summary generation

Example:

"Summarize the key points of this call."

updated_at
string<date-time>

Timestamp of last update (UTC)

updated_by
string

Last updater identifier